/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see fr.istic.mML.MMLPackage
 * @generated
 */
public interface MMLFactory extends EFactory
{
  /**
   * The singleton instance of the factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  MMLFactory eINSTANCE = fr.istic.mML.impl.MMLFactoryImpl.init();

  /**
   * Returns a new object of class '<em>Model</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Model</em>'.
   * @generated
   */
  MMLModel createMMLModel();

  /**
   * Returns a new object of class '<em>Data Input</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Data Input</em>'.
   * @generated
   */
  DataInput createDataInput();

  /**
   * Returns a new object of class '<em>CSV Separator</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>CSV Separator</em>'.
   * @generated
   */
  CSVSeparator createCSVSeparator();

  /**
   * Returns a new object of class '<em>ML Choice</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>ML Choice</em>'.
   * @generated
   */
  MLChoice createMLChoice();

  /**
   * Returns a new object of class '<em>ML Algorithm</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>ML Algorithm</em>'.
   * @generated
   */
  MLAlgorithm createMLAlgorithm();

  /**
   * Returns a new object of class '<em>Regression Tree</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Regression Tree</em>'.
   * @generated
   */
  RegressionTree createRegressionTree();

  /**
   * Returns a new object of class '<em>Linear Regression</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Linear Regression</em>'.
   * @generated
   */
  LinearRegression createLinearRegression();

  /**
   * Returns a new object of class '<em>Variables</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Variables</em>'.
   * @generated
   */
  Variables createVariables();

  /**
   * Returns a new object of class '<em>Target</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Target</em>'.
   * @generated
   */
  Target createTarget();

  /**
   * Returns a new object of class '<em>Default Target</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Default Target</em>'.
   * @generated
   */
  DefaultTarget createDefaultTarget();

  /**
   * Returns a new object of class '<em>Named Target</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Named Target</em>'.
   * @generated
   */
  NamedTarget createNamedTarget();

  /**
   * Returns a new object of class '<em>Predictions</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Predictions</em>'.
   * @generated
   */
  Predictions createPredictions();

  /**
   * Returns a new object of class '<em>All Variables</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>All Variables</em>'.
   * @generated
   */
  AllVariables createAllVariables();

  /**
   * Returns a new object of class '<em>Predictor Variables</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Predictor Variables</em>'.
   * @generated
   */
  PredictorVariables createPredictorVariables();

  /**
   * Returns a new object of class '<em>Item</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Item</em>'.
   * @generated
   */
  Item createItem();

  /**
   * Returns a new object of class '<em>Evaluation</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Evaluation</em>'.
   * @generated
   */
  Evaluation createEvaluation();

  /**
   * Returns a new object of class '<em>Strategy Evaluation</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Strategy Evaluation</em>'.
   * @generated
   */
  StrategyEvaluation createStrategyEvaluation();

  /**
   * Returns a new object of class '<em>Simple Split</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Simple Split</em>'.
   * @generated
   */
  SimpleSplit createSimpleSplit();

  /**
   * Returns a new object of class '<em>Cross Validation</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>Cross Validation</em>'.
   * @generated
   */
  CrossValidation createCrossValidation();

  /**
   * Returns the package supported by this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the package supported by this factory.
   * @generated
   */
  MMLPackage getMMLPackage();

} //MMLFactory
